

#Adapt Framework  
[![Build Status](https://secure.travis-ci.org/adaptlearning/adapt_framework.png)](http://travis-ci.org/adaptlearning/adapt_framework)  [![Join the chat at https://gitter.im/adaptlearning/adapt_framework](https://badges.gitter.im/Join%20Chat.svg)](https://gitter.im/adaptlearning/adapt_framework?utm_source=badge&utm_medium=badge&utm_campaign=pr-badge&utm_content=badge)  
Adapt is a free and easy to use framework and authoring tool that creates fully responsive, multi-device, HTML5 e-learning content.

## What Does It Do?  
The Adapt framework creates HTML5 e-learning courses. They may be delivered with a web server or a with SCORM conformant learning management system. The Adapt framework powers the Adapt authoring tool, a graphical user interface used for creating Adapt courses. [See what Adapt can do.](https://community.adaptlearning.org/demo/index.html)

## Features  
+ Open source, published under the GNU General Public License, and FREE
+ HTML5 and CSS3
+ Responsive across multiple devices and platforms
+ Deliver courses through SCORM compliant LMS or stand-alone  
+ 22 bundled plug-ins, more available through the community    
+ Meets WAI AA accessibility standards
+ Right-To-Left compatibility
+ Assessments with support for question banks, randomisation, and customisable feedback  
+ Step locking and bookmarking  
+ Customisable theme

##Full Documentation  
[Visit the wiki](https://github.com/adaptlearning/adapt_framework/wiki) for full documentation, including **installation**, course authoring, developer guides, and other information.  

## Communication  
+ Twitter: @AdaptLearning  
+ [Community Site](https://community.adaptlearning.org/)  
+ [Technical Forum](https://community.adaptlearning.org/mod/forum/view.php?id=4) 
+ [Bugs / Feature Requests](https://adaptlearning.atlassian.net/secure/CreateIssueDetails!init.jspa?pid=10100&issuetype=1&priority=6&components=10201)  
+ [Responsive e-Learning Forum](https://community.adaptlearning.org/mod/forum/view.php?id=56)  

## Contributing to Adapt  

See [Contributing to the Adapt Framework](https://github.com/adaptlearning/adapt_framework/wiki/Contributing-to-the-Adapt-Framework).


## Troubleshooting, Bugs, and Feedback  
+ For help with troubleshooting, visit the [Technical Discussion Forum](https://community.adaptlearning.org/mod/forum/view.php?id=4).
+ To report a bug, please [submit a ticket on JIRA](https://adaptlearning.atlassian.net/secure/CreateIssueDetails!init.jspa?pid=10100&issuetype=1&priority=6&components=10201).
+ To provide feedback, please use the [GitHub Issues](https://github.com/adaptlearning/adapt_framework/issues).

## License   
<a href="https://community.adaptlearning.org/" target="_blank"><img src="https://github.com/adaptlearning/documentation/blob/master/04_wiki_assets/plug-ins/images/adapt-logo-mrgn-lft.jpg" alt="adapt learning logo" align="right"></a>  Adapt is licensed under the [GNU General Public License, Version 3](https://github.com/adaptlearning/adapt_framework/blob/master/LICENSE).
